using System;
using System.Collections.Generic;
using System.Text;

namespace Yorrick.FlickrMetadataSynchr.Data
{
   /// <summary>
   /// Enumeration for different sync options for metadata.
   /// </summary>
   internal enum SyncDirection
   {
      /// <summary>
      /// Don't synchronize.
      /// </summary>
      None = 0,
      /// <summary>
      /// Update metadata in local pictures with metadata from Flickr.
      /// </summary>
      FromFlickrToLocal = 1,
      /// <summary>
      /// Update metadata on Flickr with metadata from local pictures.
      /// </summary>
      FromLocalToFlickr = 2,
      /// <summary>
      /// Two way sychronization of metadata on Flickr with local pictures.
      /// </summary>
      BothWays = 3,
      /// <summary>
      /// No synchronization is necessary.
      /// </summary>
      NoSyncNeeded = 4
   }
}
