using System;
using System.Collections.Generic;
using System.Text;

namespace Yorrick.FlickrMetadataSynchr.Events
{
   /// <summary>
   /// Event arguments class for an event that communicates a status message.
   /// </summary>
   public class StatusMessageEventArgs : EventArgs
   {
      /// <summary>
      /// The status message.
      /// </summary>
      private string _statusMessage;

      /// <summary>
      /// Gets the status message.
      /// </summary>
      public string StatusMessage
      {
         get
         {
            return _statusMessage;
         }
      }

      /// <summary>
      /// Constructs an instance with the specified status message.
      /// </summary>
      /// <param name="statusMessage">The status message.</param>
      public StatusMessageEventArgs(string statusMessage)
      {
         _statusMessage = statusMessage;
      }
   }
}
