using System;
using System.Collections.Generic;
using System.Text;

namespace Yorrick.FlickrMetadataSynchr.Local
{
    /// <summary>
    /// Enumeration for whether or not custom metadata should be added to a local picture containing the Flickr id.
    /// </summary>
    public enum FlickrIdBehavior
    {
        /// <summary>
        /// Adds or updates Flickr id metadata.
        /// </summary>
        AddOrUpdate = 0,
        /// <summary>
        /// Removes Flickr id metadata.
        /// </summary>
        Remove = 1,
        /// <summary>
        /// Does not add or remove Flickr id metadata.
        /// </summary>
        DoNothing = 2,
        /// <summary>
        /// Overwrites other data present and adds or updates Flickr id metadata.
        /// </summary>
        OverwriteOrUpdate = 3
    }
}
