using System;
using System.Collections.Generic;
using System.Text;

namespace Yorrick.FlickrMetadataSynchr.Match
{
   /// <summary>
   /// Enumeration for different match options.
   /// </summary>
   public enum MatchBehavior
   {
      /// <summary>
      /// Match on flickr:id tag first. If it does not exist, match on datetime taken, 
      /// if that is not unique on the combination of datetime taken and filename/title.
      /// </summary>
      SmartMatch = 0,
      /// <summary>
      /// Match only on datetime taken.
      /// </summary>
      DateTaken = 1,
      /// <summary>
      /// Match only on title/file name.
      /// </summary>
      FileName = 2,
   }
}
