using System;
using System.Collections.Generic;
using System.Text;

namespace Yorrick.FlickrMetadataSynchr.Sync
{
   /// <summary>
   /// Enumeration for specifying the case behavior for tags.
   /// </summary>
   public enum TagsCaseBehavior
   {
      /// <summary>
      /// The default tag case behavior.
      /// </summary>
      CaseSensitive = 0,
      /// <summary>
      /// Prefer uppercase first letter for duplicate tags.
      /// </summary>
      UppercaseFirstLetterPreferredForDuplicates = 1,
      /// <summary>
      /// Prefer lowercase first letter for duplicate tags.
      /// </summary>
      LowercaseFirstLetterPreferredForDuplicates = 2,
      /// <summary>
      /// Prefer the most recent updated version.
      /// </summary>
      MostRecentUpdatedPreferred = 3
   }
}
